Subject: bug#64420: string-width of … is 2 in CJK environments

From: Dmitry Gutov <[email-masked]>
Date: Sun, 2 Jul 2023 15:57:07 +0300

Hi! This was reported to company-mode 
(https://github.com/company-mode/company-mode/issues/1388), as a 
scenario that makes the overlay-based completion popup misrender because 
the columns are not computed right when that char is present.

To repro:

   (set-language-environment "Chinese-BIG5")
   (string-width "…") ;; => 2

In the default language environment its width is reported to be 1.

This doesn't seem to make sense because it's rendered one column wide 
either way.